/**
 * Return the content of a cookie with specified key
 * @param key cookie name
 */
export function getCookie(key){
	key = key + "="
	let cookies = decodeURIComponent(document.cookie).split(";");
	for (let el of cookies) {
		el = el.trimStart();
		if(el.indexOf(key) == 0){
			return el.substr(key.length, el.length);
		}
	}
	return "";
}

/**
 * Return the content of a cookie with specified key
 * @param key cookie name
 */
export function setCookie(key, value){
	let cookie = key + "=" + value + "; SameSite=Lax";
	document.cookie = cookie;
	// Here we can apreciate the stupidity of Javascript :/
}
